WMBUBBLE(1)

NAME
wmbubble - system load monitor

SYNOPSIS
wmbubble [options] [program1] [program2] [...] [programN]

DESCRIPTION
This manual page documents briefly the wmbubble command.

wmbubble is a dockapp-style CPU, memory, swap and load average monitor. Based on the GNOME BubbleMon applet, this program has been considerably improved.

The higher the water level, the more memory is in use. The more profuse the bubbles, the higher the CPU usage. There is also a real-time CPU percentage display.

When the mouse is moved into the window, the display will change to show the load history, or, if either shift key is held, the current memory usage. If you press the right mouse button, the window will freeze in that state. You can unfreeze the display by pressing the right mouse button again.

program1, program2, and so on are the programs to spawn when various buttons on the mouse are pressed while the pointer is over the dockapp. For the vast majority of users, there can be up to 9 of those buttons, and in order they are: the left(1), middle(2), and right(3) mouse buttons; up(4), down(5), left(6), and right(7) on the mouse wheels; and the backwards(8) and forwards(9) mouse buttons.

Additionally, the right mouse button (program3) will only be executed if the graphs are disabled (otherwise that argument is ignored).

OPTIONS

-maxbubbles
    Maximum number of simultaneous bubbles in the dockapp

-air_noswap
    Color of air and bubbles when swap is at 0%

-air_maxswap
    Color of air and bubbles when swap is at 100%

-liquid_noswap
    Color of water when swap is at 0%

-liquid_maxswap
    Color of water when swap is at 100%

-duckbody
    Color of duck's body

-duckbill
    Color of duck's bill

-duckeye
    Color of duck's eye

-delay
    delay this number of microseconds between redraws

-ripples
    Pixels to disturb the surface when a bubble is formed/pops

-gravity
    Pixels/refresh/refresh to accelerate bubbles upwards

-volatility
    Restorative force on water surface in proportion/refresh

-viscosity
    Attenuation of surface velocity in proportion/refresh

-speed_limit
    Maximum water surface velocity in pixels/refresh

-help
    Displays this help

-duck
    Draw the duck?

-d  Equivalent to -duck no

-upsidedown
    Can the duck flip when the tank is overfull?

-u  Equivalent to -upsidedown no

-cpumeter
    Show the current load at the bottom

-c  Equivalent to -cpumeter no

-graphdigit
    Color of the digits on the graphs

-graphwarn
    Color of the digits on the memory graph when above 90%

-graphlabel
    Color of the 1 5 and 15 on load graph and m and s on mem graph

-graphfield
    Color of the background of the graphs

-graphgrid
    Color of the grid lines in the graphs

-graphmax
    Color of the top two pixels of the bar graph

-graphbar
    Color of the rest of the bar graph

-graphmarkers
    Color of the horizontal lines on the graph that indicate each integer load average

-p  Adjust the digit colors to pale blue and cyan

-graphs
    Does hovering show the graphs

-m  Equivalent to -graphs no

-units
    Units for memory in KB or MB

-k  Equivalent to -units megabytes

-shifttime
    Number of hours after midnight that are drawn as part of the previous day on digital clock and date

-digital
    Draw 24h digital clock

-showdate
    Draw day-of-week month day-of-month

-analog
    Draw analog clock face

-hourcolor
    Color of hour hand on analog clock

-mincolor
    Color of minute hand on analog clock

-seccolor
    Color of second hand on analog clock

RESOURCES

wmbubble*maxbubbles
    Maximum number of simultaneous bubbles in the dockapp

wmbubble*air_noswap
    Color of air and bubbles when swap is at 0%

wmbubble*air_maxswap
    Color of air and bubbles when swap is at 100%

wmbubble*liquid_noswap
    Color of water when swap is at 0%

wmbubble*liquid_maxswap
    Color of water when swap is at 100%

wmbubble*duckbody
    Color of duck's body

wmbubble*duckbill
    Color of duck's bill

wmbubble*duckeye
    Color of duck's eye

wmbubble*delay
    delay this number of microseconds between redraws

wmbubble*ripples
    Pixels to disturb the surface when a bubble is formed/pops

wmbubble*gravity
    Pixels/refresh/refresh to accelerate bubbles upwards

wmbubble*volatility
    Restorative force on water surface in proportion/refresh

wmbubble*viscosity
    Attenuation of surface velocity in proportion/refresh

wmbubble*speed_limit
    Maximum water surface velocity in pixels/refresh

wmbubble*duck
    Draw the duck?

wmbubble*upsidedown
    Can the duck flip when the tank is overfull?

wmbubble*cpumeter
    Show the current load at the bottom

wmbubble*graphdigit
    Color of the digits on the graphs

wmbubble*graphwarn
    Color of the digits on the memory graph when above 90%

wmbubble*graphlabel
    Color of the 1 5 and 15 on load graph and m and s on mem graph

wmbubble*graphfield
    Color of the background of the graphs

wmbubble*graphgrid
    Color of the grid lines in the graphs

wmbubble*graphmax
    Color of the top two pixels of the bar graph

wmbubble*graphbar
    Color of the rest of the bar graph

wmbubble*graphmarkers
    Color of the horizontal lines on the graph that indicate each integer load average

wmbubble*graphs
    Does hovering show the graphs

wmbubble*units
    Units for memory in KB or MB

wmbubble*shifttime
    Number of hours after midnight that are drawn as part of the previous day on digital clock and date

wmbubble*digital
    Draw 24h digital clock

wmbubble*showdate
    Draw day-of-week month day-of-month

wmbubble*analog
    Draw analog clock face

wmbubble*hourcolor
    Color of hour hand on analog clock

wmbubble*mincolor
    Color of minute hand on analog clock

wmbubble*seccolor
    Color of second hand on analog clock

AUTHOR
wmbubble was originally written by timecop <timecop@japan.co.jp> but is now maintained by Robert Jacobs <rnjacobs@mit.edu>

This manual page was originally written by John H. Robinson, IV <jaqque@debian.org>, for the Debian GNU/Linux system but has since been moved upstream.